﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class CrowdControl
{
    public Actor actor;
    public float remainedTime;

    public CrowdControl(Actor actor)
    {
        this.actor = actor;
        remainedTime = 0;
    }

    public virtual void CCUpdate(float deltaTime)
    {
        remainedTime -= deltaTime;
        if (remainedTime <= 0)
        {

        }
    }
    public abstract bool ApplyCC();
    protected abstract bool UnapplyCC();
}
